from django.conf.urls import patterns, include, url

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    url(r'^index$',               'dynastie.views.index',        name='index'),
    url(r'^$',                    'dynastie.views.index',        name='index'),
    url(r'^disconnect$',          'dynastie.views.disconnect',   name='disconnect'),
    url(r'^user$',                'dynastie.views.user',         name='user'),
    url(r'^user/add$',            'dynastie.views.add_user',     name='add_user'),
    url(r'^user/edit/(\d+)$',     'dynastie.views.edit_user',    name='edit_user'),
    url(r'^user/(\d+)$',          'dynastie.views.edit_user',    name='view_user'),
    url(r'^category$',            'dynastie.views.category',     name='category'),
    url(r'^category/add$',        'dynastie.views.add_category', name='add_category'),
    url(r'^category/edit/(\d+)$', 'dynastie.views.edit_category', name='edit_category'),
    url(r'^category/delete/(\d+)$', 'dynastie.views.delete_category', name='delete_category'),
    url(r'^blog$',                'dynastie.views.blog',         name='blog'),
    url(r'^blog/add$',            'dynastie.views.add_blog',     name='add_blog'),
    url(r'^blog/(\d+)$',          'dynastie.views.view_blog',    name='view_blog'),
    url(r'^blog/edit/(\d+)$',     'dynastie.views.edit_blog',    name='edit_blog'),
    url(r'^post/add/(\d+)$',   'dynastie.views.add_post',  name='add_post'),
    url(r'^post/edit/(\d+)$',  'dynastie.views.edit_post', name='edit_post'),
    url(r'^post/delete/(\d+)$','dynastie.views.delete_post', name='delete_post'),
    url(r'^generate/(\d+)$',      'dynastie.views.generate',     name='generate'),
    url(r'^preview/(\d+)$',       'dynastie.views.preview',      name='preview'),
    # url(r'^dynastie/', include('dynastie.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),
)
